/* Options: Date: 2026-06-20 21:18:34 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: GetAccountStatus.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/account/status", Verbs="GET") @DataContract open class GetAccountStatus : BaseRequest(), IReturn { companion object { private val responseType = GetAccountStatusResponse::class.java } override fun getResponseType(): Any? = GetAccountStatus.responseType } @DataContract open class GetAccountStatusResponse { /** * The response data */ @DataMember @ApiMember(Description="The response data") @SerializedName("data") open var Data:GetAccountStatusData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } open class GetAccountStatusData : BaseResponse() { /** * The account status information */ @ApiMember(Description="The account status information") open var accountStatus:AccountStatus? = null } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } open class AccountStatus { /** * The account status (e.g. Unpaid, Active, Expired) */ @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)") open var status:String? = null /** * The account type (e.g. live, developer, demo) */ @ApiMember(Description="The account type (e.g. live, developer, demo)") @SerializedName("type") open var Type:String? = null /** * The account Expiry Date */ @ApiMember(Description="The account Expiry Date") open var expiryDate:Date? = null /** * The account Expiry Date as a string in ISO 8601 format */ @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format") open var expiryDateUniversal:String? = null /** * The account balance */ @ApiMember(Description="The account balance") open var balance:BigDecimal? = null /** * The account search credit balance */ @ApiMember(Description="The account search credit balance") open var creditBalance:Long? = null /** * The account DBS credit balance */ @ApiMember(Description="The account DBS credit balance") open var dbsBasicCreditBalance:Int? = null /** * The list of enabled products for this account */ @ApiMember(Description="The list of enabled products for this account") open var products:ArrayList? = null /** * The list of enabled capabilities for this account */ @ApiMember(Description="The list of enabled capabilities for this account") open var capabilities:ArrayList? = null } open class ArrayOfResponseError : ArrayList() { }